# ISC DHCP SERVER with docker

## 概要

ISC DHCP SERVERをDockerで気軽に利用する。

## 構築方法
### ダウンロード

このリポジトリからソースをダウンロードする。

```
git clone https://gitea.rohhie.net/rohhie/isc-dhcp-with-docker.git
mv isc-dhcp-with-docker dhcp
cd dhcp
```

### 動作条件を設定
#### コンテナ

docker-compose.ymlには、IPv4とIPv6の2つのコンテナを定義してある。  
どちらか一方を利用する場合は、使わない方をコメントアウトしておく。

それぞれの動作条件を設定する。

| 変数名 | 設定内容                                                                 |
|--------|--------------------------------------------------------------------------|
| DHCPIF | 使用するネットワークインターフェースを設定。空白で区切って複数指定可能。 |

#### IPv4

v4ディレクトリにdhcpd.confがあるので、これを適宜書き換える。

#### IPv6

v6ディレクトリにdhcpd.confとradvd.confがあるので、適切に設定。  
radvd.confでは、使用するネットワークインターフェースの設定があるので、環境変数DHCPIFとあわせて設定しておく。

### ファイアウォールの設定

ファイアウォールを設定するスクリプトを実行する。  
このスクリプトではIPv6のみ開放している。  
IPv4は開放しなくてもうまく動いている。

```
sudo ./setufw.sh
```

何らかの理由で設定を解除するなら、以下を実行する。

```
sudo ./setufw.sh delete
```

### コンテナを起動

コンテナを構築して起動する。

```
sudo docker compose up -d --bulid
```

## その他

細かな設定手順や使い方は、メインサイト参照。  
https://rohhie.net/dhcp-server-with-docker/

## ライセンス

MIT
